<?
session_start(); 
if($v==1){
include("stilos/config.inc.php");
  include("../clases/BDConexion.php");  
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");

  $objPer=new clsPer;
  }
  
  $ayer=extraerfechamysql($fecha_fin);
  $actual=extraerfechamysql($fecha_fin);
  
	$rs=$objPer->getTareo(restardiafechaactual($ayer));	
	while($row=$objPer->NextRow($rs)){
	
		$existe=$objPer->ExistePerTareo($row['dociden_per'],extraerfechamysql($fecha_fin));
		if($existe==0){	
			
		$rsper=$objPer->getUltimoMovPer(restardiafechaactual($ayer),$row['dociden_per']);
		$rowper=$objPer->NextRow($rsper);		
		
		if(restardiafechaactual($ayer)==$rowper['fechallegada']){ 
			if($rowper['via']=='A'){
			$destino=$rowper['destino'];
			$via='A';
			}elseif($rowper['via']=='F'){
				if($rowper['origen']=='IQUITOS'){$destino='LBC';}elseif($rowper['origen']=='LBC'){$destino='IQUITOS';}
				$via='F';
				$fechallegada=$actual;
			}		
		}else{
			if($actual==$rowper['fechallegada']){
				if($rowper['origen']=='IQUITOS'){$destino='LBC';}elseif($rowper['origen']=='LBC'){$destino='IQUITOS';}
				$via='F';
				$fechallegada=$actual;			
			}else{
			$destino='TRANSITO';
			$via='F';
			$fechallegada=$rowper['fechallegada'];
			}
		}
			if($rowper['numorigen']==''){ $numorigen=0;}else{$numorigen=$rowper['numorigen'];} 
			if($rowper['numdestino']==''){$numdestino=0;}else{$numdestino=$rowper['numdestino'];} 		
			if($rowper['codigo_mpass']==''){$codigo_mpass=0;}else{$codigo_mpass=$rowper['codigo_mpass'];}
			if($rowper['codigo_man']==''){$codigo_man=0;}else{$codigo_man=$rowper['codigo_man'];}
		$rsdato=$objPer->getPerDatos($row['dociden_per']); 
		$filaper=$objPer->NextRow($rsdato);
			if($rowper['via']=='A'){
			$objPer->registrarTareo3($codigo_man,$row['dociden_per'],$rowper['origen'],$destino,'21:00',extraerfechamysql($fecha_fin),$numorigen,$numorigen,extraerfechamysql($fecha_fin),$codigo_mpass,$via,$filaper['razon_emp']);
			}elseif($rowper['via']=='F'){						
			$objPer->registrarTareo3($codigo_man,$row['dociden_per'],$rowper['origen'],$destino,'21:00',extraerfechamysql($fecha_fin),$numorigen,$numorigen,$fechallegada,$codigo_mpass,$via,$filaper['razon_emp']);
			}
		}
	}$objPer->Liberar($rs);
?>